NoArgumentsEntryPointResolver (Mule ESB 2.2.1 API)
Keywords: org.mule.model.resolvers.NoArgumentsEntryPointResolver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.resolvers
Class NoArgumentsEntryPointResolver

    java.lang.Object
      org.mule.model.resolvers.AbstractEntryPointResolver
          org.mule.model.resolvers.ReflectionEntryPointResolver
              org.mule.model.resolvers.AbstractArgumentEntryPointResolver
                  org.mule.model.resolvers.NoArgumentsEntryPointResolver

All Implemented Interfaces:
  EntryPointResolver

    public class NoArgumentsEntryPointResolver

extends AbstractArgumentEntryPointResolver

Allows for arguments with no parameters to be called. Regardless of the payload of the current event, this resolver will always only look for No-Arg servic methods.

Note that the `ReflectionEntryPointResolver` supports the resolution of no-arg service methods if the event payload received is of type `NullPayload`.

See Also:
  `ReflectionEntryPointResolver`, `NullPayload`

Field Summary

Fields inherited from class org.mule.model.resolvers.ReflectionEntryPointResolver
`filter`

Fields inherited from class org.mule.model.resolvers.AbstractEntryPointResolver
`logger, methodCache`

Constructor Summary
`NoArgumentsEntryPointResolver()`

Method Summary
`protected Class[]` | `getMethodArgumentTypes(Object[] payload)`
`protected Object[]` | `getPayloadFromMessage(MuleEventContext context)`

Methods inherited from class org.mule.model.resolvers.AbstractArgumentEntryPointResolver
`addMethod, getMethods, invoke, isEnableDiscovery, removeMethod, setEnableDiscovery, setMethods, toString`

Methods inherited from class org.mule.model.resolvers.ReflectionEntryPointResolver
`addIgnoredMethod, getIgnoredMethods, removeIgnoredMethod, setIgnoredMethods`

Methods inherited from class org.mule.model.resolvers.AbstractEntryPointResolver
`addMethodByArguments, addMethodByName, getCacheKeyForPayload, getMethodByArguments, getMethodByName, invokeMethod, isAcceptVoidMethods, isTransformFirst, setAcceptVoidMethods, setTransformFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoArgumentsEntryPointResolver

    public NoArgumentsEntryPointResolver()

Method Detail

### getMethodArgumentTypes

    protected Class[] getMethodArgumentTypes(Object[] payload)

  Specified by:
    `getMethodArgumentTypes` in class `AbstractArgumentEntryPointResolver`

### getPayloadFromMessage

    protected Object[] getPayloadFromMessage(MuleEventContext context)
                                      throws TransformerException

  Overrides:
    `getPayloadFromMessage` in class `AbstractEntryPointResolver`
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.